<?php
namespace Incoviba;

use \Model;

class Agente extends Model {
  public static $_table = 'agente';

  protected $agente_tipos;
  public function agente_tipos() {
    if ($this->agente_tipos === null) {
      $this->agente_tipos = $this->has_many(AgenteTipo::class, 'agente')->find_many();
    }
    return $this->agente_tipos;
  }
  public function findAgenteTipo(string $tipo) {
    foreach ($this->agente_tipos() as $at) {
      if ($at->tipo()->descripcion == $tipo) {
        return $at;
      }
    }
    return false;
  }
}
